import 'dart:core';

import 'package:flutter/material.dart';

import 'package:zego_plugin_adapter/src/beauty/config.dart';
import 'package:zego_plugin_adapter/src/beauty/defines.dart';
import 'package:zego_plugin_adapter/src/beauty/errors.dart';
import 'package:zego_plugin_adapter/src/defines.dart';

/// @nodoc
abstract class ZegoBeautyPluginInterface with IZegoUIKitPlugin {
  /// init
  void init({required int appID, String appSign = ''});

  /// uninit
  void uninit();

  /// set Config
  void setConfig(ZegoBeautyPluginConfig config);

  /// show Beauty UI
  void showBeautyUI(BuildContext context);

  /// get Face Detection Event Stream
  Stream<ZegoBeautyPluginFaceDetectionData> getFaceDetectionEventStream();

  /// get Error Stream
  Stream<ZegoBeautyError> getErrorStream();
}
